> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New fee



## OpenAPI

````yaml Wallet post /{walletId}/asset/{assetId}/operation/{operationId}/fee
openapi: 3.0.1
info:
  title: Wallet
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/wallet/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /{walletId}/asset/{assetId}/operation/{operationId}/fee:
    post:
      operationId: postWalletidAssetAssetidOperationOperationidFee
      parameters:
        - name: walletId
          in: path
          required: true
          schema:
            type: string
        - name: assetId
          in: path
          required: true
          schema:
            type: string
        - name: operationId
          in: path
          required: true
          schema:
            type: string
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
        - name: token
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletFeeRequest'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    WalletFeeRequest:
      type: object
      properties:
        type:
          type: string
        feeValue:
          $ref: '#/components/schemas/FeesFeeValue'
        paidBy:
          type: string
        feeSharing:
          $ref: '#/components/schemas/FeesFeeSharing'
        isDynamic:
          type: boolean
        feeApiAddress:
          type: string
        group:
          type: integer
          format: int64
        order:
          type: integer
          format: int64
        ownerId:
          type: string
        appliedTo:
          type: string
        feeLimit:
          $ref: '#/components/schemas/FeesFeeLimit'
        defaultApiFee:
          $ref: '#/components/schemas/FeeDefaultApiFee'
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
    FeesFeeValue:
      type: object
      properties:
        balanceType:
          type: string
        name:
          type: string
        value:
          type: string
        ownerId:
          type: string
        instanceRef:
          type: string
        instanceBaseRef:
          type: string
    FeesFeeSharing:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/FeesSource'
        destination:
          $ref: '#/components/schemas/FeeDestination'
        ownerId:
          type: string
    FeesFeeLimit:
      type: object
      properties:
        enforcementPoint:
          type: string
        priority:
          type: integer
          format: int64
        order:
          type: integer
          format: int64
        action:
          type: string
        ownerId:
          type: string
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/FeeConditionsItem'
    FeeDefaultApiFee:
      type: object
      properties:
        balanceType:
          type: string
        name:
          type: string
        value:
          type: string
        ownerId:
          type: string
        instanceRef:
          type: string
        instanceBaseRef:
          type: string
    FeesSource:
      type: object
      properties:
        balanceType:
          type: string
        name:
          type: string
        value:
          type: string
        ownerId:
          type: string
        instanceRef:
          type: string
        instanceBaseRef:
          type: string
    FeeDestination:
      type: object
      properties:
        balanceType:
          type: string
        name:
          type: string
        value:
          type: string
        ownerId:
          type: string
        instanceRef:
          type: string
        instanceBaseRef:
          type: string
    FeeConditionsItem:
      type: object
      properties:
        priority:
          type: integer
          format: int64
        order:
          type: integer
          format: int64
        requirementType:
          type: string
        operation:
          type: string
        objectRef:
          $ref: '#/components/schemas/FeesObjectRef'
        value:
          $ref: '#/components/schemas/FeesValue'
        ownerId:
          type: string
    FeesObjectRef:
      type: object
      properties:
        ownerId:
          type: string
        name:
          type: string
        type:
          type: integer
          format: int64
        value:
          type: string
    FeesValue:
      type: object
      properties:
        ownerId:
          type: string
        name:
          type: string
        type:
          type: integer
          format: int64
        value:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````